Kwalitee Issues

no_pax_headers

If you use Mac OS X >= 10.6, use gnu tar (/usr/bin/gnutar) to avoid PAX headers. It's also important to rename (shorten) long file names (>= 100 characters) in the distribution.

Error: ./PaxHeaders.4492/Inline-Python-0.49,./PaxHeaders.4492/Inline-Python-0.49,Inline-Python-0.49/PaxHeaders.4492/t,Inline-Python-0.49/PaxHeaders.4492/t,Inline-Python-0.49/t/PaxHeaders.4492/09bind.t,Inline-Python-0.49/t/PaxHeaders.4492/09bind.t,Inline-Python-0.49/t/PaxHeaders.4492/08ipyobj.t,Inline-Python-0.49/t/PaxHeaders.4492/08ipyobj.t,Inline-Python-0.49/t/PaxHeaders.4492/19testref.t,Inline-Python-0.49/t/PaxHeaders.4492/19testref.t,Inline-Python-0.49/t/PaxHeaders.4492/02testpl.t,Inline-Python-0.49/t/PaxHeaders.4492/02testpl.t,Inline-Python-0.49/t/PaxHeaders.4492/00init.t,Inline-Python-0.49/t/PaxHeaders.4492/00init.t,Inline-Python-0.49/t/PaxHeaders.4492/cmp.t,Inline-Python-0.49/t/PaxHeaders.4492/cmp.t,Inline-Python-0.49/t/PaxHeaders.4492/33reinit.t,Inline-Python-0.49/t/PaxHeaders.4492/33reinit.t,Inline-Python-0.49/t/PaxHeaders.4492/21arrayref.t,Inline-Python-0.49/t/PaxHeaders.4492/21arrayref.t,Inline-Python-0.49/t/PaxHeaders.4492/28exception.t,Inline-Python-0.49/t/PaxHeaders.4492/28exception.t,Inline-Python-0.49/t/PaxHeaders.4492/12evnodd.t,Inline-Python-0.49/t/PaxHeaders.4492/12evnodd.t,Inline-Python-0.49/t/PaxHeaders.4492/30floats.t,Inline-Python-0.49/t/PaxHeaders.4492/30floats.t,Inline-Python-0.49/t/PaxHeaders.4492/06dict.t,Inline-Python-0.49/t/PaxHeaders.4492/06dict.t,Inline-Python-0.49/t/PaxHeaders.4492/29named_params.t,Inline-Python-0.49/t/PaxHeaders.4492/29named_params.t,Inline-Python-0.49/t/PaxHeaders.4492/27pyattrs.t,Inline-Python-0.49/t/PaxHeaders.4492/27pyattrs.t,Inline-Python-0.49/t/PaxHeaders.4492/22int.t,Inline-Python-0.49/t/PaxHeaders.4492/22int.t,Inline-Python-0.49/t/PaxHeaders.4492/14study.t,Inline-Python-0.49/t/PaxHeaders.4492/14study.t,Inline-Python-0.49/t/PaxHeaders.4492/05JAxH.t,Inline-Python-0.49/t/PaxHeaders.4492/05JAxH.t,Inline-Python-0.49/t/PaxHeaders.4492/26undef.t,Inline-Python-0.49/t/PaxHeaders.4492/26undef.t,Inline-Python-0.49/t/PaxHeaders.4492/24getitem.t,Inline-Python-0.49/t/PaxHeaders.4492/24getitem.t,Inline-Python-0.49/t/PaxHeaders.4492/10pyeval.t,Inline-Python-0.49/t/PaxHeaders.4492/10pyeval.t,Inline-Python-0.49/t/PaxHeaders.4492/01testpl.t,Inline-Python-0.49/t/PaxHeaders.4492/01testpl.t,Inline-Python-0.49/t/PaxHeaders.4492/20unicode.t,Inline-Python-0.49/t/PaxHeaders.4492/20unicode.t,Inline-Python-0.49/t/PaxHeaders.4492/25py_sub.t,Inline-Python-0.49/t/PaxHeaders.4492/25py_sub.t,Inline-Python-0.49/t/PaxHeaders.4492/17once.t,Inline-Python-0.49/t/PaxHeaders.4492/17once.t,Inline-Python-0.49/t/PaxHeaders.4492/34env.t,Inline-Python-0.49/t/PaxHeaders.4492/34env.t,Inline-Python-0.49/t/PaxHeaders.4492/07nherit.t,Inline-Python-0.49/t/PaxHeaders.4492/07nherit.t,Inline-Python-0.49/t/PaxHeaders.4492/11factor.t,Inline-Python-0.49/t/PaxHeaders.4492/11factor.t,Inline-Python-0.49/t/PaxHeaders.4492/31stringification.t,Inline-Python-0.49/t/PaxHeaders.4492/31stringification.t,Inline-Python-0.49/t/PaxHeaders.4492/32boolean.t,Inline-Python-0.49/t/PaxHeaders.4492/32boolean.t,Inline-Python-0.49/t/PaxHeaders.4492/16evalpy.t,Inline-Python-0.49/t/PaxHeaders.4492/16evalpy.t,Inline-Python-0.49/t/PaxHeaders.4492/18newclass.t,Inline-Python-0.49/t/PaxHeaders.4492/18newclass.t,Inline-Python-0.49/t/PaxHeaders.4492/15anon.t,Inline-Python-0.49/t/PaxHeaders.4492/15anon.t,Inline-Python-0.49/t/PaxHeaders.4492/13fibbon.t,Inline-Python-0.49/t/PaxHeaders.4492/13fibbon.t,Inline-Python-0.49/t/PaxHeaders.4492/23getattr.t,Inline-Python-0.49/t/PaxHeaders.4492/23getattr.t,Inline-Python-0.49/t/PaxHeaders.4492/04func.t,Inline-Python-0.49/t/PaxHeaders.4492/04func.t,Inline-Python-0.49/t/PaxHeaders.4492/03parse.t,Inline-Python-0.49/t/PaxHeaders.4492/03parse.t,Inline-Python-0.49/PaxHeaders.4492/py2pl.h,Inline-Python-0.49/PaxHeaders.4492/py2pl.h,Inline-Python-0.49/PaxHeaders.4492/TESTED,Inline-Python-0.49/PaxHeaders.4492/TESTED,Inline-Python-0.49/PaxHeaders.4492/perlmodule.h,Inline-Python-0.49/PaxHeaders.4492/perlmodule.h,Inline-Python-0.49/PaxHeaders.4492/ToDo,Inline-Python-0.49/PaxHeaders.4492/ToDo,Inline-Python-0.49/PaxHeaders.4492/Python.pm,Inline-Python-0.49/PaxHeaders.4492/Python.pm,Inline-Python-0.49/PaxHeaders.4492/Python.xs,Inline-Python-0.49/PaxHeaders.4492/Python.xs,Inline-Python-0.49/PaxHeaders.4492/Makefile.pre.in,Inline-Python-0.49/PaxHeaders.4492/Makefile.pre.in,Inline-Python-0.49/PaxHeaders.4492/py2pl.c,Inline-Python-0.49/PaxHeaders.4492/py2pl.c,Inline-Python-0.49/PaxHeaders.4492/README,Inline-Python-0.49/PaxHeaders.4492/README,Inline-Python-0.49/PaxHeaders.4492/META.json,Inline-Python-0.49/PaxHeaders.4492/META.json,Inline-Python-0.49/PaxHeaders.4492/META.yml,Inline-Python-0.49/PaxHeaders.4492/META.yml,Inline-Python-0.49/PaxHeaders.4492/Setup.in,Inline-Python-0.49/PaxHeaders.4492/Setup.in,Inline-Python-0.49/PaxHeaders.4492/Changes,Inline-Python-0.49/PaxHeaders.4492/Changes,Inline-Python-0.49/PaxHeaders.4492/Makefile.PL,Inline-Python-0.49/PaxHeaders.4492/Makefile.PL,Inline-Python-0.49/PaxHeaders.4492/MANIFEST,Inline-Python-0.49/PaxHeaders.4492/MANIFEST,Inline-Python-0.49/PaxHeaders.4492/util.c,Inline-Python-0.49/PaxHeaders.4492/util.c,Inline-Python-0.49/PaxHeaders.4492/perlmodule.c,Inline-Python-0.49/PaxHeaders.4492/perlmodule.c,Inline-Python-0.49/PaxHeaders.4492/util.h,Inline-Python-0.49/PaxHeaders.4492/util.h,Inline-Python-0.49/PaxHeaders.4492/Python.pod,Inline-Python-0.49/PaxHeaders.4492/Python.pod

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Carp
  • strict

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Inline::Python

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Foo

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Inline::Python Write Perl subs and classes in Python. 0.49 metacpan

Provides

Name File View
Inline::Python::Boolean Python.pm metacpan
Inline::Python::Function Python.pm metacpan
Inline::Python::Object Python.pm metacpan
Inline::Python::Object::Data Python.pm metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan